-- Unique Faction ID
local factionid = "Ultramarines";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

-- Faction name	
CF_FactionNames[factionid] = "Ultramarines";
-- Set true if faction is selectable by player or AI	
CF_FactionPlayable[factionid] = true;

-- Player controlled actor presets [factionid][actornumber][levelnumber]
CF_PlayerActorPresets[factionid] = {}
CF_PlayerActorPresets[factionid][1] = {"Ultramarines Sergeant lvl 1","Ultramarines Sergeant lvl 2","Ultramarines Sergeant lvl 3","Ultramarines Sergeant lvl 4","Ultramarines Sergeant lvl 5"}
CF_PlayerActorPresets[factionid][2] = {"Ultramarine lvl 1","Ultramarine lvl 2","Ultramarine lvl 3","Ultramarine lvl 4","Ultramarine lvl 5"}
CF_PlayerActorPresets[factionid][3] = {"Ultramarines Scout lvl 1","Ultramarines Scout lvl 2","Ultramarines Scout lvl 3","Ultramarines Scout lvl 4","Ultramarines Scout lvl 5"}
CF_PlayerActorPresets[factionid][4] = {"Ultramarines Scout lvl 1","Ultramarines Scout lvl 2","Ultramarines Scout lvl 3","Ultramarines Scout lvl 4","Ultramarines Scout lvl 5"}
CF_PlayerActorPresets[factionid][5] = {"Ultramarine lvl 1","Ultramarine lvl 2","Ultramarine lvl 3","Ultramarine lvl 4","Ultramarine lvl 5"}

-- Modules where player controlled actor presets are defined
CF_PlayerActorModules[factionid] = {}
CF_PlayerActorModules[factionid][1] = {"W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte"}
CF_PlayerActorModules[factionid][2] = {"W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte"}
CF_PlayerActorModules[factionid][3] = {"W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte"}
CF_PlayerActorModules[factionid][4] = {"W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte"}
CF_PlayerActorModules[factionid][5] = {"W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte", "W40K.rte"}

-- Player character names
CF_PlayerActorNames[factionid] = {"Sergeant Titus", "Brother Agathon", "Neophyte Zopyros", "Neophyte Hypatos", "Brother Aeschylus"}

CF_PlayerActorDescriptions[factionid] = {}
CF_PlayerActorDescriptions[factionid][1] = "Sergeant Titus. A mysterious Ultramarine, destined for greatness."
CF_PlayerActorDescriptions[factionid][2] = "Brother Agathon. A stoic man, fond of the humble Bolter."
CF_PlayerActorDescriptions[factionid][3] = "Neophyte Zopyros. A little too exciteable sometimes, and fond of shotguns."
CF_PlayerActorDescriptions[factionid][4] = "Neophyte Hypatos. Thoughtful and careful, he prefers plasma weapons."
CF_PlayerActorDescriptions[factionid][5] = "Brother Aeschylus. Gregarious enough that some claim he should be a Space Wolf, not an Ultramarine. Loves heavy weapons."

-- CSk checks if all these modules are present to enable or disable faction. These modules must
-- include all modules containing weapons, actors etc
CF_RequiredModules[factionid] = {"W40K.rte", "Dummy.rte", "Undead.rte", "Coalition.rte", "Base.rte"}

-- RPG effects tables
-- Those explosive are constantly given for every level of Explosives skill
CF_RPGExplosives[factionid] = {{"Imperium Frag Grenade"}, nil, {"Imperium Meltabomb"} , nil, {"Astartes Plasma Grenade", "Astartes Plasma Grenade"}}
CF_RPGExplosiveClasses[factionid] = {{"TDExplosive"} , nil, {"TDExplosive"} , nil , {"TDExplosive", "TDExplosive"}}

-- Define buyable items available for purchase or unlocks
CF_ItmNames[factionid] = {}
CF_ItmPresets[factionid] = {}
CF_ItmModules[factionid] = {}
CF_ItmPrices[factionid] = {}
CF_ItmDescriptions[factionid] = {}
CF_ItmUnlockData[factionid] = {}
CF_ItmClasses[factionid] = {}

local itm;

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Medikit"
CF_ItmPresets[factionid][itm] = "Medikit"
CF_ItmModules[factionid][itm] = "CortexShock.rte"
CF_ItmPrices[factionid][itm] = 200
CF_ItmDescriptions[factionid][itm] = "Brings life to everything with two legs."
CF_ItmUnlockData[factionid][itm] = 50

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Heavy Digger"
CF_ItmPresets[factionid][itm] = "Heavy Digger"
CF_ItmModules[factionid][itm] = "Base.rte"
CF_ItmPrices[factionid][itm] = 25
CF_ItmDescriptions[factionid][itm] = "A powerful digger that can chew through terrain."
CF_ItmUnlockData[factionid][itm] = 250

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Grapple Gun"
CF_ItmPresets[factionid][itm] = "Grapple Gun"
CF_ItmModules[factionid][itm] = "Base.rte"
CF_ItmPrices[factionid][itm] = 25
CF_ItmDescriptions[factionid][itm] = "An exceedingly useful tool for navigating indoors without relying on finicky jetpacks. Now on special offer - get yours today!"
CF_ItmUnlockData[factionid][itm] = 50

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Chain Sword"
CF_ItmPresets[factionid][itm] = "Chain Sword"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 100
CF_ItmDescriptions[factionid][itm] = "A deadly melee weapon with a whirring chain of adamantite teeth in place of a blade."
CF_ItmUnlockData[factionid][itm] = 50

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Power Sword"
CF_ItmPresets[factionid][itm] = "Power Sword"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 100
CF_ItmDescriptions[factionid][itm] = "A masterwork sword sheathed in a disruptive energy field. Can slice through armour with ease."
CF_ItmUnlockData[factionid][itm] = -1

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Power Axe"
CF_ItmPresets[factionid][itm] = "Power Axe"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 75
CF_ItmDescriptions[factionid][itm] = "A heavy axe, its blade wrapped in a powerful energy field. Hacks through armour with ease."
CF_ItmUnlockData[factionid][itm] = -1

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Imperium Shotgun"
CF_ItmPresets[factionid][itm] = "Imperium Shotgun"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 60
CF_ItmDescriptions[factionid][itm] = "Mars Pattern. A fully automatic, high-capacity shotgun that can fire buckshot or slug rounds."
CF_ItmUnlockData[factionid][itm] = 50

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Bolt Pistol"
CF_ItmPresets[factionid][itm] = "Bolt Pistol"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 75
CF_ItmDescriptions[factionid][itm] = "Godwyn Pattern. Fires high-caliber self-propelled explosive rounds. 8-round magazine. Compact and deadly."
CF_ItmUnlockData[factionid][itm] = 50

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Bolter"
CF_ItmPresets[factionid][itm] = "Bolter"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 300
CF_ItmDescriptions[factionid][itm] = "Godwyn Pattern. The standard weapon of the Adeptus Astartes. 24-round magazine."
CF_ItmUnlockData[factionid][itm] = 125

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Bolter CombiPlasma"
CF_ItmPresets[factionid][itm] = "Bolter CombiPlasma"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 375
CF_ItmDescriptions[factionid][itm] = "A standard Godwyn-pattern Bolter augmented with an underbarrel Plasma Pistol. Slightly less accurate, but packs an extra punch."
CF_ItmUnlockData[factionid][itm] = -1

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Storm Bolter"
CF_ItmPresets[factionid][itm] = "Storm Bolter"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 125
CF_ItmDescriptions[factionid][itm] = "Ryza Pattern. An extremely rapid-fire double-barrel Bolt Pistol, sort of like an SMG on steroids."
CF_ItmUnlockData[factionid][itm] = 125

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Stalker Boltgun"
CF_ItmPresets[factionid][itm] = "Stalker Boltgun"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 350
CF_ItmDescriptions[factionid][itm] = "Stalker Pattern. A specialized, long-range Bolter, but still capable at short and medium range. 10-round magazine."
CF_ItmUnlockData[factionid][itm] = 150

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Heavy Bolter"
CF_ItmPresets[factionid][itm] = "Heavy Bolter"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 375
CF_ItmDescriptions[factionid][itm] = "Astartes MKIVa Pattern. The ultimate squad-support weapon. Extremely deadly, handle with care. 60-round magazine."
CF_ItmUnlockData[factionid][itm] = 300

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Imperium Hand Flamer"
CF_ItmPresets[factionid][itm] = "Imperium Hand Flamer"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 150
CF_ItmDescriptions[factionid][itm] = "Pyros Pattern. Emits a short stream of burning promethium. A deadly sidearm in close quarters."
CF_ItmUnlockData[factionid][itm] = -1

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Imperium Flamer"
CF_ItmPresets[factionid][itm] = "Imperium Flamer"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 175
CF_ItmDescriptions[factionid][itm] = "Immolatus Pattern. Projects a gout of burning promethium, setting enemies ablaze."
CF_ItmUnlockData[factionid][itm] = 175

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Astartes Heavy Flamer"
CF_ItmPresets[factionid][itm] = "Astartes Heavy Flamer"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 325
CF_ItmDescriptions[factionid][itm] = "Incineratus Pattern. Surprisingly long range for a flamethrower. Roasts xenos, purges heretics and sautees sausages with equal efficacy."
CF_ItmUnlockData[factionid][itm] = -1

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Plasma Pistol"
CF_ItmPresets[factionid][itm] = "Plasma Pistol"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 125
CF_ItmDescriptions[factionid][itm] = "Sunfury Pattern. Fires globs of superheated hydrogen; a powerful sidearm indeed."
CF_ItmUnlockData[factionid][itm] = 175

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Plasma Rifle"
CF_ItmPresets[factionid][itm] = "Plasma Rifle"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 400
CF_ItmDescriptions[factionid][itm] = "Ragefire Pattern. These Plasma Guns are slow to fire, but extremely deadly."
CF_ItmUnlockData[factionid][itm] = 200

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Plasma Cannon"
CF_ItmPresets[factionid][itm] = "Plasma Cannon"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 675
CF_ItmDescriptions[factionid][itm] = "Helios Pattern. An incredibly deadly plasma weapon that can destroy all but the hardiest of targets in a single hit."
CF_ItmUnlockData[factionid][itm] = -1

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Imperium Portable Launcher"
CF_ItmPresets[factionid][itm] = "Imperium Portable Launcher"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 350
CF_ItmDescriptions[factionid][itm] = "Soundstrike Pattern. A compact and reliable launcher, capable of using Frag, Krak and Incendiary missiles."
CF_ItmUnlockData[factionid][itm] = 175

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Astartes Lascannon"
CF_ItmPresets[factionid][itm] = "Astartes Lascannon"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 500
CF_ItmDescriptions[factionid][itm] = "Illuminator Pattern. A powerful, portable anti-tank weapon. Not as versatile as the launcher, but more accurate."
CF_ItmUnlockData[factionid][itm] = 350

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Marine Sniper Rifle"
CF_ItmPresets[factionid][itm] = "Marine Sniper Rifle"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 125
CF_ItmDescriptions[factionid][itm] = "Unknown Pattern. Not exactly a wise choice indoors, but undeniably effective against infantry and armoured targets all the same."
CF_ItmUnlockData[factionid][itm] = 100

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Astartes Autocannon"
CF_ItmPresets[factionid][itm] = "Astartes Autocannon"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 250
CF_ItmDescriptions[factionid][itm] = "A relic design, no longer widely manufactured or used. Fires deadly explosive shells with decent accuracy."
CF_ItmUnlockData[factionid][itm] = -1

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Inferno Pistol"
CF_ItmPresets[factionid][itm] = "Inferno Pistol"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 300
CF_ItmDescriptions[factionid][itm] = "Extremely compact, and equally deadly, Inferno Pistols are exceedingly rare and have a very small fuel cell, but just as much firepower as a normal Meltagun."
CF_ItmUnlockData[factionid][itm] = -1

itm = #CF_ItmNames[factionid] + 1
CF_ItmNames[factionid][itm] = "Meltagun"
CF_ItmPresets[factionid][itm] = "Meltagun"
CF_ItmModules[factionid][itm] = "W40K.rte"
CF_ItmPrices[factionid][itm] = 500
CF_ItmDescriptions[factionid][itm] = "Mars Pattern. A heavy weapon that can cut through just about anything. Horridly expensive, but worth the price tag."
CF_ItmUnlockData[factionid][itm] = 300

-- Define enemies fighting against this faction
-- Level 1 enemies and weapons
CF_Weapons[factionid] = {}
CF_WeaponModules[factionid] = {}
CF_Probabilities[factionid] = {}
CF_ExplosiveSets[factionid] = {}
CF_ExplosiveSetModules[factionid] = {}
CF_ActorSets[factionid] = {}
CF_ActorSetModules[factionid] = {}
CF_ArmorCrabs[factionid] = {}
CF_ArmorCrabModules[factionid] = {}
CF_ArmorHumans[factionid] = {}
CF_ArmorHumanModules[factionid] = {}
CF_ArmorHumanWeapons[factionid] = {}
CF_ArmorHumanWeaponModules[factionid] = {}
CF_ArmorPistols[factionid] = {}
CF_ArmorPistolModules[factionid] = {}
CF_ArmorShields[factionid] = {}
CF_ArmorShieldModules[factionid] = {}
CF_Turrets[factionid] = {}
CF_TurretModules[factionid] = {}
CF_TurretOffsetsReplace[factionid] = {}
CF_TurretOffsetsGarrison[factionid] = {}

-- Turrets are mandatory for all levels!!!

-- Probabilities changed!
-- 1. Probability to spawn armored unit
-- 2. Probability to get explosive
-- 3. Probability to get second explosive
CF_Probabilities[factionid][1] = {0, 0.10 , 0};

CF_Weapons[factionid][1] = {"Nailgun"}
CF_WeaponModules[factionid][1] = {"Dummy.rte"};

CF_ExplosiveSets[factionid][1] = {"Impulse Grenade"};
CF_ExplosiveSetModules[factionid][1] = {"Dummy.rte"};

CF_ActorSets[factionid][1] = {"Zombie Medium" , "Zombie Thin"};
CF_ActorSetModules[factionid][1] = {"Undead.rte" , "Undead.rte"};

CF_ArmorCrabs[factionid][1] = nil
CF_ArmorCrabModules[factionid][1] = nil

CF_ArmorHumans[factionid][1] = nil
CF_ArmorHumanModules[factionid][1] = nil

CF_ArmorHumanWeapons[factionid][1] = nil
CF_ArmorHumanWeaponModules[factionid][1] = nil

CF_ArmorPistols[factionid][1] = {"Rail Pistol"}
CF_ArmorPistolModules[factionid][1] = {"Dummy.rte"}

CF_ArmorShields[factionid][1] = {"Riot Shield"}
CF_ArmorShieldModules[factionid][1] = {"Base.rte"}

CF_Turrets[factionid][1] = {"Gatling Turret"}
CF_TurretModules[factionid][1] = {"Dummy.rte"}

CF_TurretOffsetsReplace[factionid][1] = nil;
CF_TurretOffsetsGarrison[factionid][1] = nil;


-- Level 2 enemies and weapons
CF_Probabilities[factionid][2] = {0, 0.20 , 0};

CF_Weapons[factionid][2] = {"Nailgun", "Rail Pistol"}
CF_WeaponModules[factionid][2] = {"Dummy.rte", "Dummy.rte"};

CF_ExplosiveSets[factionid][2] = {"Impulse Grenade"};
CF_ExplosiveSetModules[factionid][2] = {"Dummy.rte"};

CF_ActorSets[factionid][2] = {"Zombie Medium" , "Zombie Thin"};
CF_ActorSetModules[factionid][2] = {"Undead.rte" , "Undead.rte"};

CF_ArmorCrabs[factionid][2] = nil
CF_ArmorCrabModules[factionid][2] = nil

CF_ArmorHumans[factionid][2] = nil
CF_ArmorHumanModules[factionid][2] = nil

CF_ArmorHumanWeapons[factionid][2] = nil
CF_ArmorHumanWeaponModules[factionid][2] = nil

CF_ArmorPistols[factionid][2] = {"Rail Pistol"}
CF_ArmorPistolModules[factionid][2] = {"Dummy.rte"}

CF_ArmorShields[factionid][2] = {"Riot Shield"}
CF_ArmorShieldModules[factionid][2] = {"Base.rte"}

CF_Turrets[factionid][2] = nil
CF_TurretModules[factionid][2] = nil

CF_TurretOffsetsReplace[factionid][2] = nil;
CF_TurretOffsetsGarrison[factionid][2] = nil;

-- Level 3 enemies and weapons
CF_Probabilities[factionid][3] = {0, 0.30 , 0.10};

CF_Weapons[factionid][3] = {"Nailgun", "Rail Pistol"}
CF_WeaponModules[factionid][3] = {"Dummy.rte", "Dummy.rte", "Dummy.rte"};

CF_ExplosiveSets[factionid][3] = {"Impulse Grenade"};
CF_ExplosiveSetModules[factionid][3] = {"Dummy.rte"};

CF_ActorSets[factionid][3] = {"Zombie Medium" , "Zombie Thin"};
CF_ActorSetModules[factionid][3] = {"Undead.rte" , "Undead.rte"};

CF_ArmorCrabs[factionid][3] = nil
CF_ArmorCrabModules[factionid][3] = nil

CF_ArmorHumans[factionid][3] = nil
CF_ArmorHumanModules[factionid][3] = nil

CF_ArmorHumanWeapons[factionid][3] = nil
CF_ArmorHumanWeaponModules[factionid][3] = nil

CF_ArmorPistols[factionid][3] = {"Rail Pistol"}
CF_ArmorPistolModules[factionid][3] = {"Dummy.rte"}

CF_ArmorShields[factionid][3] = {"Riot Shield"}
CF_ArmorShieldModules[factionid][3] = {"Base.rte"}

CF_Turrets[factionid][3] = {"Small MG Turret"}
CF_TurretModules[factionid][3] = {"Dummy.rte"}

CF_TurretOffsetsReplace[factionid][3] = nil;
CF_TurretOffsetsGarrison[factionid][3] = nil;

-- Level 4 enemies and weapons
CF_Probabilities[factionid][4] = {0, 0.30 , 0.30};

CF_Weapons[factionid][4] = {"Rail Pistol", "Blaster"}
CF_WeaponModules[factionid][4] = {"Dummy.rte", "Dummy.rte"};

CF_ExplosiveSets[factionid][4] = {"Impulse Grenade"};
CF_ExplosiveSetModules[factionid][4] = {"Dummy.rte"};

CF_ActorSets[factionid][4] = {"Zombie Medium" , "Zombie Thin"};
CF_ActorSetModules[factionid][4] = {"Undead.rte" , "Undead.rte"};

CF_ArmorCrabs[factionid][4] = nil
CF_ArmorCrabModules[factionid][4] = nil

CF_ArmorHumans[factionid][4] = nil
CF_ArmorHumanModules[factionid][4] = nil

CF_ArmorHumanWeapons[factionid][4] = nil
CF_ArmorHumanWeaponModules[factionid][4] = nil

CF_ArmorPistols[factionid][4] = {"Rail Pistol"}
CF_ArmorPistolModules[factionid][4] = {"Dummy.rte"}

CF_ArmorShields[factionid][4] = {"Riot Shield"}
CF_ArmorShieldModules[factionid][4] = {"Base.rte"}

CF_Turrets[factionid][4] = {"Small MG Turret"}
CF_TurretModules[factionid][4] = {"Dummy.rte"}

CF_TurretOffsetsReplace[factionid][4] = nil;
CF_TurretOffsetsGarrison[factionid][4] = nil;

-- Level 5 enemies and weapons
CF_Probabilities[factionid][5] = {0, 0.25, 0.10};

CF_Weapons[factionid][5] = {"Blaster", "Scouting Rifle"}
CF_WeaponModules[factionid][5] = {"Dummy.rte", "Dummy.rte"};

CF_ExplosiveSets[factionid][5] = {"Impulse Grenade"};
CF_ExplosiveSetModules[factionid][5] = {"Dummy.rte"};

CF_ActorSets[factionid][5] = {"Robot 1" , "Robot 2"};
CF_ActorSetModules[factionid][5] = {"Base.rte" , "Base.rte"};

CF_ArmorCrabs[factionid][5] = nil
CF_ArmorCrabModules[factionid][5] = nil

CF_ArmorHumans[factionid][5] = nil
CF_ArmorHumanModules[factionid][5] = nil

CF_ArmorHumanWeapons[factionid][5] = nil
CF_ArmorHumanWeaponModules[factionid][5] = nil

CF_ArmorPistols[factionid][5] = {"Rail Pistol"}
CF_ArmorPistolModules[factionid][5] = {"Dummy.rte"}

CF_ArmorShields[factionid][5] = {"Riot Shield"}
CF_ArmorShieldModules[factionid][5] = {"Base.rte"}

CF_Turrets[factionid][5] = {"Small MG Turret"}
CF_TurretModules[factionid][5] = {"Dummy.rte"}

CF_TurretOffsetsReplace[factionid][5] = nil;
CF_TurretOffsetsGarrison[factionid][5] = nil;